summaryrefslogtreecommitdiff
path: root/script/update
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-04 22:12:02 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-04 22:12:02 +0100
commit0d315c3a4eb75474b8753d3a51fb1ddd7382a3ea (patch)
treed0455c0d7eda72eca65bd68b6d1d37cf3848c408 /script/update
parentbdf171e3ec30988eb9620eb1117cbcfe5e67a907 (diff)
curl/wget downloads: set re-try count to 3
explicitly set the count to 3, so that a maximum of 3 attemps are made per download, barring fatal errors such as http 404. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update')
-rwxr-xr-xscript/update/blobs/download2
-rwxr-xr-xscript/update/blobs/mrc2
2 files changed, 2 insertions, 2 deletions
diff --git a/script/update/blobs/download b/script/update/blobs/download
index 00c7b189..2903c504 100755
--- a/script/update/blobs/download
+++ b/script/update/blobs/download
@@ -440,7 +440,7 @@ fetch_update()
[ -z "${x}" ] && continue
rm -f "${dl_path}" || \
err "fetch_update ${fw_type}: !rm -f ${dl_path}"
- wget -U "${agent}" "${x}" -O "${dl_path}" || continue
+ wget --tries 3 -U "${agent}" "${x}" -O "${dl_path}" || continue
vendor_checksum "${dlsum}" && dl_fail="n"
done
if [ "${dl_fail}" = "y" ]; then
diff --git a/script/update/blobs/mrc b/script/update/blobs/mrc
index 420fa42f..59ed12f1 100755
--- a/script/update/blobs/mrc
+++ b/script/update/blobs/mrc
@@ -111,7 +111,7 @@ download_image()
_sha1sum=${3}
printf "Downloading recovery image\n"
- curl "$url" > "$_file.zip" || err "download_image: curl failed"
+ curl --retry 3 "$url" > "$_file.zip" || err "download_image: curl failed"
printf "Verifying recovery image checksum\n"
if [ "$(sha1sum "${_file}.zip" | awk '{print $1}')" = "${_sha1sum}" ]
then